Duplicate Specific Team Agent

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

slugstringRequired
addressstringRequired

Query parameters

no_cachebooleanOptionalDefaults to false

Request

This endpoint expects an object.
namestringRequired
Name of the new agent.
readmestringOptional
Readme content for the agent.
avatar_urlstringOptional
URL of the agent's avatar.
short_descriptionstringOptional
Brief description.
networkenumOptional

Network on which the agent will register (mainnet or testnet)

Allowed values:

Response

Successful Response
namestring
Name of the agent.
addressstring
Bech32 address of the agent.
runningboolean
Whether the agent is currently running.
revisioninteger
Revision number of the agent.
domainstring
Domain name associated with the agent.
prefixenumDefaults to test-agent
Address prefix of the agent.
Allowed values:
compiledboolean
Whether the agent code has been compiled.
code_digeststring
Digest of the agent's code.
wallet_addressstring
Wallet address of the agent.
code_update_timestampstringformat: "date-time"
Last time the code was updated.
creation_timestampstringformat: "date-time"
Time when the agent was created.
avatar_urlstring
URL to the agent's avatar image.
maintainer_idstring
ID of the user maintaining the agent.
readmestring
README description of the agent.
short_descriptionstring
Short description for display.
metadataobject
Metadata associated with the agent.

Errors

422
Unprocessable Entity Error